it-swarm-ja.com

アプリの互換性とiPhoneを決定しますか?

私はiPhoneおよびAndroid=デバイス用のアプリを開発しています。アプリが実行されるスマートフォンを特定しようとしています。

IPhoneの場合、特定のiphone(つまり、iphone 6)までのサポートが提供されるように、開発者がアプリを開発する傾向があることを確認しました。たとえば、ほとんどのアプリはiphone 4sと互換性がありません。

アプリがいくつかのシンプルな正方形のボタンが付いたシンプルな計算機である場合、アプリが最新のiPhoneでのみ実行するように設計されているのはなぜですか?

この計算機にはいくつかのボタンしかないので、最新のiPhoneには古いもの(つまりIphone 4)にはないものは何ですか?

2
rbhat

TL; DR

最終的には、時間、労力、およびそれらのデバイスの現在の採用率に基づいて、サポートする古いデバイスを開発者が選択します。


説明

これは実際には、以下の理由の1つまたはすべてに要約されます。

  1. アプリの開発に使用されるAPI(アプリケーションプログラミングインターフェイス)。

    • オペレーティングシステムの進化に伴い、プラットフォーム開発者(iOSではApple、AndroidではGoogle)は、iPhone 4Sなどの古いデバイスのサポートを終了します。これは、デバイスがプラットフォーム開発者によって設定された指定のソフトウェアサポート期間に達したか、単に新しいAPIを処理するのに十分に強力でない可能性があるためです。
    • 新しいAPIが追加されると、明らかに新しいデバイスがそれらをアプリのコードで使用できるようになります。したがって、開発者が新しいAPIを使用することを決定した場合、古いデバイスはそれらを使用できず、OSバージョンに基づくAPIの使用法をアプリコードに追加する必要があります。最新および最新の1または2 OSバージョン用に開発。

      • しかし、これは完全にそれらをサポートするかどうか開発者に依存します。たとえば、WhatsAppで最近発表されたiOS 8.0のサポートの廃止、およびTwitteriOS 10.0のサポートの廃止。
  2. 開発者は、何らかの理由で古い(i)フォンをサポートしたくありません。

    • それは彼/彼女/組織の選択である可能性があり、ユーザー数があまりに少なくなる古い電話のサポートを追加することに関わる作業量が原因である可能性があります。 iOS 12とiOS 13を合わせた採用率は91%(2019年10月現在)なので、 iOS 9.0以下を実行している古い電話では、人々がまったく使用していない可能性があるため、一生懸命努力する必要はないようです。

    • ほとんどの開発者は、最後の2つのiOSバージョンと現在のバージョンのiOSをサポートするという不文律に従います。それは彼らの生活を少し簡単にします。

3
badhanganesh

ターゲット市場の人口統計を理解し、それに基づいて意思決定を行う必要があります。

0
straya